Subject: Re: BUG: Timezone failures with threads under Cygwin 1.5.25
From: Corinna Vinschen <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 11 Dec 2007 17:27:20 +0100
List-Id: <cygwin.cygwin.com>

On Dec 11 10:24, Jerry D. Hedden wrote:
> Corinna Vinschen wrote:
> > It would be more helpful if you would send self-contained code which
> > doesn't have to be tweaked to do a test.  I'm not a perl developer, so
> > it took me some time to get it running.  I'd also really prefer
> > testcases in plain C which I can simply run under GDB.  Interpreter code
> > just adds unnecessary complexity.
> 
> I was working on this when I got your email.  Attached.

Thanks for this testcase.  It exhibited a threading issue in tzset
which was already present in older Cygwin versions.  I've applied
another fix to Cygwin which (hopefully) solves this issue once and
for all.

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Project Co-Leader          cygwin AT cygwin DOT com
Red Hat

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/